Bug 802812 - Need to split md operations from data ops and separate locking
Need to split md operations from data ops and separate locking
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.0.0
x86_64 Linux
high Severity high
: ---
: 3.5.0
Assigned To: Allon Mureinik
yeylon@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 10:42 EDT by Dafna Ron
Modified: 2016-04-18 02:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (890.69 KB, application/x-gzip)
2012-03-13 10:42 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-03-13 10:42:08 EDT
Created attachment 569695 [details]
logs

Description of problem:

currently, when running any command that requires change in metadata we lock the whole domain and not just the metadata. 
this means that if I am running a task which takes a long time I will get a lock timeout from vdsm (as described in bug 802806) 
can we change the lock from domain to metadata? 

Version-Release number of selected component (if applicable):

vdsm-4.9-112.8.el6_2.x86_64

How reproducible:

100%

Steps to Reproduce:
1. import vm's /templates to your setup
2. try to edit domain's name 
3.
  
Actual results:

after a few minutes we get a resource time out error from vdsm 

Expected results:

we should only lock metadata of domain and not whole domain - that way, if we have a long task (such as import of vm with large preallocated disk) changes to metadata of domain can be performed. 

Additional info:full logs
Comment 1 RHEL Product and Program Management 2012-05-04 00:06:47 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 2 Itamar Heim 2013-12-01 04:07:56 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

note there is work to clean this one up, as part of the larger "remove pool/spm" feature.

Note You need to log in before you can comment on or make changes to this bug.